Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms
Class RealMatrixElementOperations

    java.lang.Object
      edu.uci.ics.jung.algorithms.RealMatrixElementOperations

All Implemented Interfaces:
  MatrixElementOperations

public class RealMatrixElementOperations
extends Object
implements MatrixElementOperations

Implements the basic matrix operations on double-precision values. Assumes that the edges have a MutableDouble value.

Author:
  Joshua O'Madadhain

Constructor Summary
`RealMatrixElementOperations(String edge_key)`

Method Summary
`Object` | `computePathData(Edge e1, Edge e2)` If either e1 or e2 is null, the Object reference returned should be null.
`void` | `mergePaths(Edge e, Object pathData)` If either e or pathData is null, the effect of mergePaths() is implementation-dependent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealMatrixElementOperations

    public RealMatrixElementOperations(String edge_key)

Method Detail

### mergePaths

    public void mergePaths(Edge e,
                           Object pathData)

  Description copied from interface: `MatrixElementOperations`
  If either e or pathData is null, the effect of mergePaths() is implementation-dependent.

  Specified by:
    `mergePaths` in interface `MatrixElementOperations`
  Parameters:
    `e` - (possibly) existing edge in the output graph which represents a path in the input graph(s)
    `pathData` - data (which represents another path with the same source and destination as e in the input graphs) which is to be merged into e
  See Also:
    `MatrixElementOperations.mergePaths(Edge, Object)`

### computePathData

    public Object computePathData(Edge e1,
                                  Edge e2)

  Description copied from interface: `MatrixElementOperations`
  If either e1 or e2 is null, the Object reference returned should be null.

  Specified by:
    `computePathData` in interface `MatrixElementOperations`
  Parameters:
    `e1` - first edge from 2-edge path in input graph(s)
    `e2` - second edge from 2-edge path in input graph(s)
  Returns:
    aggregation of data from the edges of the 2-edge path (from source of e1 to destination of e2) comprised of (e1, e2)
  See Also:
    `MatrixElementOperations.computePathData(Edge, Edge)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD